## EntangleControlGroup EntangleControlGroup |

## Functions

EntangleControlGroup * | entangle_control_group_new ()
void | entangle_control_group_add ()
guint | entangle_control_group_count ()
EntangleControl * | entangle_control_group_get ()
EntangleControl * | entangle_control_group_get_by_path ()

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlGroup

## Description

## Functions

### entangle_control_group_new ()

    EntangleControlGroup *
    entangle_control_group_new (const gchar *path,
                                gint id,
                                const gchar *label,
                                const gchar *info,
                                gboolean readonly);

### entangle_control_group_add ()

    void
    entangle_control_group_add (EntangleControlGroup *group,
                                EntangleControl *control);

Adds the `control` to `group`

#### Parameters

group | the group to add to. | [transfer none]
control | the child control to add. | [transfer none]

### entangle_control_group_count ()

    guint
    entangle_control_group_count (EntangleControlGroup *group);

Get the number of controls which are immediate children of this group

#### Parameters

group | the control group. | [transfer none]

#### Returns

the number of child controls

### entangle_control_group_get ()

    EntangleControl *
    entangle_control_group_get (EntangleControlGroup *group,
                                int idx);

#### Parameters

group | the control group. | [transfer none]
idx | the index of the control to fetch |

#### Returns

the control at index `idx` , or NULL.

[transfer none]

### entangle_control_group_get_by_path ()

    EntangleControl *
    entangle_control_group_get_by_path (EntangleControlGroup *group,
                                        const gchar *path);

Get the control which has the path `path`

#### Parameters

group | the control group |
path | unique path of the control |

#### Returns

the control with path `path` , or NULL.

[transfer none]

## Types and Values